%define upstream_name Email-MIME-ContentType
%define upstream_version 1.028

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Parse a MIME Content-Type Header
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode) >= 2.870.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Unidecode)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is responsible for parsing email content type headers according to
section 5.1 of RFC 2045. It returns a hash as above, with entries for the
discrete type, the composite type, and a hash of attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Wed Jan 11 2023 tv <tv> 1.28.0-1.mga9
+ Revision: 1932253
- update to 1.028

* Mon Sep 05 2022 tv <tv> 1.27.0-1.mga9
+ Revision: 1884060
- update to 1.027

* Mon Mar 21 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1813957
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.26.0-1.mga9
+ Revision: 1690218
- update to 1.026

* Tue Jan 05 2021 bcornec <bcornec> 1.24.0-4.mga8
+ Revision: 1668934
+ rebuild (emptylog)

* Mon May 25 2020 tv <tv> 1.24.0-1.mga8
+ Revision: 1587501
- update to 1.024

* Wed Feb 12 2020 umeabot <umeabot> 1.22.0-4.mga8
+ Revision: 1504369
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.22.0-3.mga7
+ Revision: 1283620
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.22.0-2.mga7
+ Revision: 1164288
- rebuild with fixed rpm for missing autodeps

* Sat Sep 09 2017 guillomovitch <guillomovitch> 1.22.0-1.mga7
+ Revision: 1152232
- new version 1.022

* Sun Jun 19 2016 pterjan <pterjan> 1.18.0-3.mga6
+ Revision: 1026907
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.18.0-2.mga6
+ Revision: 967639
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.18.0-1.mga6
+ Revision: 849931
- update to 1.018

* Wed Oct 15 2014 umeabot <umeabot> 1.17.0-4.mga5
+ Revision: 751106
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.17.0-3.mga5
+ Revision: 684622
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 531923
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.17.0-1.mga4
+ Revision: 465790
- update to 1.017

* Sun Jan 13 2013 umeabot <umeabot> 1.15.0-2.mga3
+ Revision: 366805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.15.0-1.mga1
+ Revision: 11159
- imported package perl-Email-MIME-ContentType

